## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils
Class AbstractSqlDataValidator

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.utils.AbstractSqlDataValidator

All Implemented Interfaces:
  ISqlDataValidatorAssistant, org.eclipse.datatools.sqltools.core.ISqlDataValidator

Direct Known Subclasses:
  ASADataValidator

    public abstract class AbstractSqlDataValidator

extends java.lang.Object
implements org.eclipse.datatools.sqltools.core.ISqlDataValidator, ISqlDataValidatorAssistant

Author:
  Shifeng Yu

Field Summary

Fields inherited from interface org.eclipse.datatools.sqltools.core.ISqlDataValidator
`CONVERT_FAIL, SYS_ERROR, VALIDATE_FAIL_CONVERT_SUCCESS, VALIDATE_SUCCESS`

Constructor Summary
`AbstractSqlDataValidator(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)`

Method Summary
`java.lang.String` `getConvertedValue()`
`java.lang.String` `getErrorMessage()`
`int` `getStatus()`
`boolean` `isNeedSupportExpression()` Validator will validate a value through the convert function offered by relative database.
`void` `setNeedSupportExpression(boolean needSupportExpression)` Validator will validate a value through the convert function offered by relative database.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.sqltools.core.ISqlDataValidator
`convert, validate, validate`

Constructor Detail

### AbstractSqlDataValidator

    public AbstractSqlDataValidator(org.eclipse.datatools.sqltools.core.DatabaseIdentifier databaseIdentifier)

Parameters:
  `status` -
  `errorMessage` -
  `convertedValue` -
  `profileName` -

Method Detail

### getErrorMessage

    public java.lang.String getErrorMessage()

  Specified by:
    `getErrorMessage` in interface `org.eclipse.datatools.sqltools.core.ISqlDataValidator`
  Returns:
    Returns the errorMessage.

### getStatus

    public int getStatus()

  Specified by:
    `getStatus` in interface `org.eclipse.datatools.sqltools.core.ISqlDataValidator`
  Returns:
    Returns the status.

### getConvertedValue

    public java.lang.String getConvertedValue()

  Specified by:
    `getConvertedValue` in interface `org.eclipse.datatools.sqltools.core.ISqlDataValidator`
  Returns:
    Returns the convertedValue.

### isNeedSupportExpression

    public boolean isNeedSupportExpression()

  Description copied from interface: `ISqlDataValidatorAssistant`
  Validator will validate a value through the convert function offered by relative database. If convert succeeds, we will get the original value or converted value. If convert fails, we will throw SQL exception. If the original value is a expression and needSupportExpression is true, will return the original expression, else return the converted value from the expression

  Specified by:
    `isNeedSupportExpression` in interface `ISqlDataValidatorAssistant`
  Returns:
    boolean return the needSupportExpression

### setNeedSupportExpression

    public void setNeedSupportExpression(boolean needSupportExpression)

  Description copied from interface: `ISqlDataValidatorAssistant`
  Validator will validate a value through the convert function offered by relative database. If convert succeeds, we will get the original value or converted value. If convert fails, we will throw SQL exception. If the original value is a expression and needSupportExpression is true, will return the original expression, else return the converted value from the expression

  Specified by:
    `setNeedSupportExpression` in interface `ISqlDataValidatorAssistant`